]> git.lyx.org Git - lyx.git/blobdiff - lib/scripts/convertDefault.sh
Safe use of 'cut' with Win32 filenames.
[lyx.git] / lib / scripts / convertDefault.sh
index 25c083d75584a9c928ce10ac9b5d933e6380fd3e..5cfc73909dbb19265f8b4eaa1c397398f097d80f 100644 (file)
@@ -1,23 +1,37 @@
 #! /bin/sh
+
+# file convertDefault.sh
+# This file is part of LyX, the document processor.
+# Licence details can be found in the file COPYING.
+
+# author Herbert Voß
+
+# Full author contact details are available in file CREDITS.
+
 # The default converter if no other has been defined by the user from the
 # Conversion->Converter tab of the Preferences dialog.
-#
+
 # The user can also redefine this default converter, placing their
 # replacement in ~/.lyx/scripts
-#
+
 # converts an image from $1 to $2 format
-convert -depth 8 $1 $2
-if [ $? -ne 0 ]; then
-    exit $?
-fi
+convert -depth 8 $1 $2 || {
+       echo "$0 ERROR"
+       echo "Execution of \"convert\" failed."
+       exit 1
+}
 
 # It appears that convert succeeded, but we know better than to trust it ;-)
 # convert is passed strings in the form "FMT:FILENAME", so use the ':' to
 # delimit the two parts.
-FILE=`echo $2 | cut -d ':' -f 2`
+# Note that Win32 filenames have the form 'C:\my\file',
+# so use everything from the first ':' to the end of the line.
+FILE=`echo $2 | cut -d ':' -f 2-`
 
-# FSTATUS == 0 is the file exists and == 1 if it does not.
-FSTATUS=0
-test -f $FILE || FSTATUS=1
+test -f $FILE || {
+       echo "$0 ERROR"
+       echo "Unable to find file \"${FILE}\""
+       exit 1
+}
 
-exit $FSTATUS
+echo "$0 generated file \"${FILE}\" successfully."